package cn.com.qmth.stmms.api.utils;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;

import cn.com.qmth.stmms.biz.utils.PictureTag;

public class SheetBuildUtil {

    public static BufferedImage buildSheetImage(BufferedImage image, List<PictureTag> tags)
            throws FileNotFoundException, IOException {
        if (tags != null && !tags.isEmpty()) {
            BufferedImage newImg = new BufferedImage(image.getWidth(), image.getHeight(), BufferedImage.TYPE_INT_RGB);
            Graphics2D g = newImg.createGraphics();
            g.drawImage(image, 0, 0, image.getWidth(), image.getHeight(), null);
            g.setColor(Color.RED);
            g.setFont(new Font("Arial", Font.PLAIN, 50));
            for (PictureTag tag : tags) {
                g.drawString(tag.getContent(), tag.getLeft(), tag.getTop());
            }
            g.dispose();
            image = newImg;
        }
        return image;
    }
}
